import { Octokit } from 'octokit';
import { Options } from '../../shared/types.js';

declare function initializeBranchProtectionSettings(octokit: Octokit, { owner, repository }: Pick<Options, "owner" | "repository">): Promise<false | undefined>;

export { initializeBranchProtectionSettings };
