import { $ } from "execa";
async function resetGitTags() {
  const { stdout: allLocalTags } = await $`git tag -l`;
  const allLocalTagsArray = allLocalTags.split("\n").filter(Boolean);
  if (allLocalTagsArray.length !== 0) {
    await $`git tag -d ${allLocalTagsArray}`;
  }
}
export {
  resetGitTags
};
//# sourceMappingURL=resetGitTags.js.map