import fs from "node:fs/promises";
import { EOL } from "node:os";
const endOfReadmeNotice = [
  ``,
  `<!-- You can remove this notice if you don't want it \u{1F642} no worries! -->`,
  ``,
  `> \u{1F499} This package is based on [@JoshuaKGoldberg](https://github.com/JoshuaKGoldberg)'s [create-typescript-app](https://github.com/JoshuaKGoldberg/create-typescript-app).`,
  ``
].join(EOL);
async function updateReadme() {
  await fs.appendFile("./README.md", endOfReadmeNotice);
}
export {
  endOfReadmeNotice,
  updateReadme
};
//# sourceMappingURL=updateReadme.js.map